# Schema: Good

**Entity Type:** `Good`

## Fields

| Field | Type | Notes |
|------|------|------|
| id | string | stable anchor id |
| name | string | |
| category | string | Food / Construction / Intermediate / etc |
| usedFor | array | Construction, Consumption, Input, Trade |
| providesAttributes | array | `{ attribute, value, consumer? }` |
| buyPrice | number | purchase price in Dinare |
| sellPrice | number | sale price in Dinare |
| producedBy | array | building links |
| consumedBy | array | building/tier links |
| availableFrom | string | tier when good becomes available |
